6 Replies Latest reply on Feb 21, 2017 8:43 PM by Diapason

    My Intel Chipset Device Software needs updating from version 10.0.14393.0 to version 10.1.1.14. But it says, "See detailed description to make sure you need this file." How do I find out if I need this file/update?

    Diapason

      I have just run the Intel Driver Update Utility, and it says that my Intel Chipset Device Software needs updating from version 10.0.14393.0 to version 10.1.1.14. But it also says, "See detailed description to make sure you need this file." How do I ascertain if I need this file/update?